## owfs 2.7p5-2

=== Makefile ===
# 
# Copyright (C) 2006 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#
# $Id: Makefile 6807 2007-04-01 19:07:59Z nbd $

include $(TOPDIR)/rules.mk
PKG_NAME:=owfs
PKG_VERSION:=2.7p5
PKG_RELEASE:=2

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=@SF/$(PKG_NAME)
PKG_MD5SUM:=x

include $(INCLUDE_DIR)/package.mk

# Add this for owperl-module
include $(TOPDIR)/package/perlmod.mk
PERL5LIB:=${PERL_LIB}
PERL5DIR:=${PERL_LIB}

define Package/owfs/Default
  TITLE:=OWFS
  DEPENDS:=
  DESCRIPTION:=\
	OWFS (one-wire filesystem)
  URL:=http://owfs.sourceforge.net/
endef

define Package/owlib
  $(call Package/owfs/Default)
  SECTION:=libs
  CATEGORY:=Libraries
  DEPENDS:=+libusb +libpthread
  TITLE+= (library)
  DESCRIPTION+=\\\
	\\\
	This package contains the OWFS shared library, needed by other programs.
endef

define Package/owshell
  $(call Package/owfs/Default)
  SECTION:=libs
  CATEGORY:=Libraries
  DEPENDS:=
  TITLE+= (shell utilities)
  DESCRIPTION+=\\\
	\\\
	This package contains the OWFS shell utilities.
endef

define Package/owcapi
  $(call Package/owfs/Default)
  SECTION:=libs
  CATEGORY:=Libraries
  DEPENDS:=+owlib
  TITLE+= (C-API library)
  DESCRIPTION+=\\\
	\\\
	This package contains the OWFS C-API.
endef

define Package/owperl
  $(call Package/owfs/Default)
  SECTION:=libs
  CATEGORY:=Libraries
  DEPENDS:=+owlib +perlbase-autoloader +perlbase-config +perlbase-dynaloader +perlbase-essential +perlbase-io
  TITLE+= (owperl module)
  DESCRIPTION+=\\\
	\\\
	This package contains the OWFS perl-module.
endef

define Package/owfs
  $(call Package/owfs/Default)
  SECTION:=libs
  CATEGORY:=Libraries
  DEPENDS:=+owlib +kmod-fuse +libfuse +fuse-utils
#  DEPENDS:=+owlib +kmod-fuse-2-4 +libfuse-2-4 +fuse-utils-2-4
  TITLE+= (apps)
  DESCRIPTION+=\\\
	\\\
	This package contains the OWFS binaries.
endef

PKG_CONFIGURE_OPTS:= \
		--enable-zero \
		--disable-parport \
		--disable-ownfsd \
		--disable-ownet \
		--disable-owpython


ifneq ($(CONFIG_PACKAGE_owperl),)
PKG_CONFIGURE_OPTS+= --enable-owperl
ENABLE_SWIG:=1
else
PKG_CONFIGURE_OPTS+= --disable-owperl
endif
ifneq ($(CONFIG_PACKAGE_owtcl),)
PKG_CONFIGURE_OPTS+= --enable-owtcl
ENABLE_SWIG:=1
else
PKG_CONFIGURE_OPTS+= --disable-owtcl
PKG_CONFIGURE_OPTS+= --disable-owside
endif
ifneq ($(CONFIG_PACKAGE_owphp),)
PKG_CONFIGURE_OPTS+= --enable-owphp
ENABLE_SWIG:=1
else
PKG_CONFIGURE_OPTS+= --disable-owphp
endif
ifneq ($(ENABLE_SWIG),)
PKG_CONFIGURE_OPTS+= --enable-swig
else
PKG_CONFIGURE_OPTS+= --disable-swig
endif

CONFIGURE_ARGS += \
	--prefix=/usr \
	--exec-prefix=/usr \
	--enable-owftpd \
	--enable-owserver \
	--enable-owhttpd \
	--enable-owfs \
	--with-perl5=$(STAGING_DIR)/usr/bin/perl \
	--with-fuseinclude="$(STAGING_DIR)/usr/include" \
	--with-fuselib="$(STAGING_DIR)/usr/lib" \
	$(PKG_CONFIGURE_OPTS) \
	--enable-shared \
	--disable-rpath

define Build/Configure
	(cd $(PKG_BUILD_DIR); \
		rm -rf config.{status,cache} ; \
		./bootstrap ; \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS) $(CFLAGS_LARGEFILE)" \
		CPPFLAGS="-I$(STAGING_DIR)/usr/include" \
		LDFLAGS="-L$(STAGING_DIR)/usr/lib" \
		lt_sys_lib_dlsearch_path_spec="$(STAGING_DIR)/lib $(STAGING_DIR)/usr/lib" \
		lt_sys_lib_search_path_spec="$(STAGING_DIR)/lib $(STAGING_DIR)/usr/lib" \
		shrext_cmds=".so" \
		PERL5LIB="${PERL_LIB}" \
		PERL5DIR="${PERL_LIB}" \
		./configure \
			$(CONFIGURE_ARGS) \
	);
endef

define Build/Compile
	$(MAKE) -C $(PKG_BUILD_DIR) \
		DESTDIR="$(PKG_INSTALL_DIR)" \
		all install
endef

define Build/InstallDev
	mkdir -p $(STAGING_DIR)/usr/include
	$(CP)	$(PKG_INSTALL_DIR)/usr/include/{owcapi,owfs_config}.h $(STAGING_DIR)/usr/include/
	mkdir -p $(STAGING_DIR)/usr/lib
	$(CP)	$(PKG_INSTALL_DIR)/usr/lib/libow.{a,so} $(PKG_INSTALL_DIR)/usr/lib/libowcapi.{a,so} $(STAGING_DIR)/usr/lib/
	$(CP)	$(PKG_INSTALL_DIR)/usr/lib/libow-*.so.* $(PKG_INSTALL_DIR)/usr/lib/libowcapi-*.so.* $(STAGING_DIR)/usr/lib/
endef

define Build/UninstallDev
	rm -rf	$(STAGING_DIR)/usr/include/{owcapi,owfs_config}.h \
		$(STAGING_DIR)/usr/lib/libowcapi-*.so.* \
		$(STAGING_DIR)/usr/lib/libow-*.so.* \
		$(STAGING_DIR)/usr/lib/libowcapi.{a,so} \
		$(STAGING_DIR)/usr/lib/libow.{a,so}
endef

define Package/owfs/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/owfs $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/owserver $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/owhttpd $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/owftpd $(1)/usr/bin/
	$(INSTALL_BIN) ./files/kill-owfs $(1)/usr/bin
	$(INSTALL_BIN) ./files/run-owfs $(1)/usr/bin
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_BIN) ./files/owfs.init $(1)/etc/init.d/owfs
	$(INSTALL_BIN) ./files/owserver.init $(1)/etc/init.d/owserver
	$(INSTALL_BIN) ./files/owhttpd.init $(1)/etc/init.d/owhttpd
	$(INSTALL_BIN) ./files/owftpd.init $(1)/etc/init.d/owftpd
	$(LN) -s ../init.d/owserver $(1)/etc/rc.d/S70owserver
	$(LN) -s ../init.d/owfs $(1)/etc/rc.d/S80owfs
	$(LN) -s ../init.d/owhttpd $(1)/etc/rc.d/S80owhttpd
	$(LN) -s ../init.d/owftpd $(1)/etc/rc.d/S80owftpd
	$(INSTALL_DIR) $(1)/etc/config
	$(INSTALL_BIN) ./files/owfs.default $(1)/etc/config/owfs
	$(INSTALL_BIN) ./files/owserver.default $(1)/etc/config/owserver
	$(INSTALL_BIN) ./files/owhttpd.default $(1)/etc/config/owhttpd
	$(INSTALL_BIN) ./files/owftpd.default $(1)/etc/config/owftpd
endef

define Package/owshell/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/owread $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/owwrite $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/owdir $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/owpresent $(1)/usr/bin/
endef

define Package/owlib/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/lib/libow-*.so.* $(1)/usr/lib/
endef

define Package/owcapi/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/lib/libowcapi-*.so.* $(1)/usr/lib/
	$(INSTALL_DIR) $(1)/usr/include
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/include/{owcapi,owfs_config}.h $(1)/usr/include/
endef

define Package/owperl/install
	install -d -m0755 $(1)/usr/lib/perl5
	cp -fpR $(PKG_INSTALL_DIR)/usr/lib/perl5/* $(1)/usr/lib/perl5
	-rm -f $(1)/usr/lib/perl5/*/perllocal.pod
endef

$(eval $(call BuildPackage,owshell))
$(eval $(call BuildPackage,owlib))
$(eval $(call BuildPackage,owfs))
$(eval $(call BuildPackage,owcapi))
$(eval $(call BuildPackage,owperl))

## owfs 2.8p13+dfsg1

=== module/owcapi/src/example++/Makefile ===
# Makefile for owcapi example program -- invoked separately from this directory
# $Id: Makefile.in,v 1.2 2009/03/24 17:20:09 alfille Exp $

CXXFLAGS = -g -I/opt/owfs/include -Wno-deprecated

OBJS = owcapiexample.o

all:	owcapiexample

ifeq "$(shell uname)" "Darwin"

# Compile-flags for MacOSX
DARWINLDFLAGS = -L/opt/owfs/lib -lowcapi -low -L/usr/lib -lusb

owcapiexample: $(OBJS)
	gcc $(CFLAGS) -o $@ $(OBJS) $(DARWINLDFLAGS)

else

# Compile-flags for Linux and Cygwin
LDFLAGS = -L/opt/owfs/lib -Wl,--rpath -Wl,/opt/owfs/lib -lowcapi

owcapiexample: $(OBJS)
	gcc $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS) -lstdc++

endif

#%.o: %.cpp
#	g++ $(CXXFLAGS) -c -o $@ $<

clean:
	$(RM) -f owcapiexample *.o *~ .~ Makefile

=== module/owcapi/src/example/Makefile ===
# Makefile for owcapi example program -- invoked separately from this directory
# $Id: Makefile.in,v 1.11 2009/03/24 17:20:08 alfille Exp $

CFLAGS = -g -I/opt/owfs/include

OBJS = owcapiexample.o

all:	owcapiexample

ifeq "$(shell uname)" "Darwin"

# Compile-flags for MacOSX
DARWINLDFLAGS = -L/opt/owfs/lib -lowcapi -low -L/usr/lib -lusb

owcapiexample: $(OBJS)
	gcc $(CFLAGS) -o $@ $(OBJS) $(DARWINLDFLAGS)

else

# Compile-flags for Linux and Cygwin
LDFLAGS = -L/opt/owfs/lib -Wl,--rpath -Wl,/opt/owfs/lib -lowcapi

owcapiexample: $(OBJS)
	gcc $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS)

endif

%.o: %.c
	gcc $(CFLAGS) -c -o $@ $<

clean:
	$(RM) -f owcapiexample *.o *~ .~ Makefile

=== module/ownet/c/src/example/Makefile ===
# Makefile for ownet example program -- invoked separately from this directory
# $Id: Makefile.in,v 1.3 2009/03/24 17:20:09 alfille Exp $

CFLAGS = -g -I/opt/owfs/include

EXAMPLEA = ownetexample
EXAMPLEA_OBJS = ownetexample.o
EXAMPLEB = ownet_tree
EXAMPLEB_OBJS = ownet_tree.o

all:	$(EXAMPLEA) $(EXAMPLEB)

ifeq "$(shell uname)" "Darwin"

# Compile-flags for MacOSX
DARWINLDFLAGS = -L/opt/owfs/lib -lownet -low -L/usr/lib -lusb

$(EXAMPLEA): $(EXAMPLEA_OBJS)
	gcc $(CFLAGS) -o $@ $(EXAMPLEA_OBJS) $(DARWINLDFLAGS)

$(EXAMPLEB): $(EXAMPLEB_OBJS)
	gcc $(CFLAGS) -o $@ $(EXAMPLEB_OBJS) $(DARWINLDFLAGS)

else

# Compile-flags for Linux and Cygwin
LDFLAGS = -L/opt/owfs/lib -Wl,--rpath -Wl,/opt/owfs/lib -lownet

$(EXAMPLEA): $(EXAMPLEA_OBJS)
	gcc $(CFLAGS) -o $@ $(EXAMPLEA_OBJS) $(LDFLAGS)

$(EXAMPLEB): $(EXAMPLEB_OBJS)
	gcc $(CFLAGS) -o $@ $(EXAMPLEB_OBJS) $(LDFLAGS)

endif

%.o: %.c
	gcc $(CFLAGS) -c -o $@ $<

clean:
	$(RM) -f $(EXAMPLEA) $(EXAMPLEB) *.o *~ .~ Makefile

=== debian/changelog ===
owfs (2.8p13+dfsg1-5build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 14:34:44 +0000

owfs (2.8p13+dfsg1-5) unstable; urgency=low

  * also disable owtraffic at configure time

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 20 Oct 2011 21:50:58 +0200

owfs (2.8p13+dfsg1-4) unstable; urgency=low

  * disable malloc debug at configure time

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 20 Oct 2011 07:51:19 +0200

owfs (2.8p13+dfsg1-3) unstable; urgency=low

  * Fix python extension linkage
  * Fix wrong debian/*.install files so that a same file is not added is
    different packages (Closes: #640915)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 08 Sep 2011 23:18:22 +0200

owfs (2.8p13+dfsg1-2) unstable; urgency=low

  * Fix "FTBFS(kfreebsd): symbol diff" (Closes: #640385)
    non-linux architectures do not have w1 support

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 04 Sep 2011 20:59:13 +0200

owfs (2.8p13+dfsg1-1) unstable; urgency=low

  * remove src/scripts/windows/libdns_sd.dll from the tarball. This
    windows DLL is mDNSResponder-107.6 precompiled with a patch
    applied. But mDNSResponder-107.6 sources are not included in this package
    and the patch in available in upstream CVS (but not the released tarball).
    Upstream will probably remove this file in the next release.

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 02 Sep 2011 21:08:19 +0200

owfs (2.8p13-2) unstable; urgency=low

  * Rebuild in clean environment

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 28 Aug 2011 18:03:32 +0200

owfs (2.8p13-1) unstable; urgency=low

  * New upstream release
  * Upload to Debian repo (Closes: #606189)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 22 Aug 2011 14:01:10 +0200

owfs (2.8p8-1) unstable; urgency=low

  * New upstream release
  * Cleanup init scripts, add doc about Debian setup

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 05 Apr 2011 16:35:15 +0200

owfs (2.8p7+cvs20110310-1) unstable; urgency=low

  * Snapshot taken from CVS

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 10 Mar 2011 22:44:26 +0100

owfs (2.8p7-1) unstable; urgency=low

  * Initial release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 21 Nov 2010 23:04:19 +0100

=== debian/control ===
Source: owfs
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev,
 libfuse-dev, swig, python-all-dev (>= 2.6.6-3~), tcl-dev, libusb-dev,
 php5-cli, php5-dev, ed
Standards-Version: 3.9.2
Section: electronics
Homepage: http://owfs.org/
Vcs-Git: git://git.debian.org/collab-maint/owfs.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/owfs.git;a=summary

Package: owfs-common
Architecture: all
Depends: ${misc:Depends}, ucf
Description: common files used by any of the OWFS programs
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package contains the common files that are used by any of the
 OWFS programs.

Package: owfs
Architecture: all
Depends: ${misc:Depends},
         owfs-fuse (>= ${binary:Version}),
         owserver (>= ${binary:Version}),
         owhttpd (>= ${binary:Version}),
         owftpd (>= ${binary:Version})
Suggests: owfs-doc
Description: Dallas 1-wire support
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package is a metapackage depending on various other OWFS packages.
 Installing this package gets you a FUSE daemon, server arbitrates access
 to the bus from multiple client processes, small ftp and webserver.

Package: libow-2.8-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 1-Wire File System full library
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes the ow library that is able to talk directly to 1-wire
 buses.

Package: libowcapi-2.8-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 1-Wire File System C library
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes the C API that allows one to talk directly to 1-wire
 buses (through the libow library).

Package: libow-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libow-2.8-13 (= ${binary:Version}),
 libowcapi-2.8-13 (= ${binary:Version})
Description: 1-Wire File System (development files)
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes development libraries and C header files.

Package: libownet-2.8-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: owserver protocol library
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package includes the ownet library that is able to talk to a owserver
 in order to get/send 1-wire information.

Package: libownet-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libownet-2.8-13 (= ${binary:Version}),
Description: owserver protocol library (development files)
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package contains the development libraries and interfaces
 to access a remote owserver.

Package: owserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 owfs-common, lsb-base (>= 3.2-4)
Description: Backend server for 1-Wire control
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 OWserver arbitrates access to the 1-Wire bus from multiple client processes.
 The physical bus is usually connected to a serial or USB port,
 and other processes connect to owserver over network sockets (tcp port).
 Communication can be local or over a network.

Package: ow-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: owserver
Description: shell utilities to talk to an 1-Wire owserver
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package has several command line programs to talk to an owserver.
 Included programs are :
  * owdir: list 1-wire devices or properties
  * owread: read 1-wire value
  * owwrite: set a 1-wire value
  * owpresent: check if a 1-wire device is connected
  * owtap: inspect network transmission of the owserver protocol
  * owmon: show statistics and setting for an owserver

Package: owfs-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, owfs-common
Recommends: owserver, fuse-utils
Suggests: owhttpd, owftpd
Description: 1-Wire filesystem
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 OWFS is a userspace virtual filesystem exposing all 1-Wire properties
 mapped into a filesystem.

Package: owhttpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 owfs-common, lsb-base (>= 3.2-4)
Recommends: owserver
Description: HTTP daemon providing access to 1-Wire networks
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 HTTP daemon providing access to 1-Wire networks.

Package: owftpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 owfs-common, lsb-base (>= 3.2-4)
Recommends: owserver
Description: FTP daemon providing access to 1-Wire networks
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 FTP daemon providing access to 1-Wire networks.

Package: libow-php5
Architecture: any
Section: web
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dallas 1-wire support: PHP5 bindings
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 PHP bindings for the OWFS 1-wire support library have been produced
 with SWIG and allow access to libow2.8 functions from PHP code.

Package: libownet-php
Architecture: all
Section: web
Depends: php5 | php5-cli, ${misc:Depends}
Description: Dallas 1-wire support: PHP OWNet library
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 The PHP OWNet library lets you access owserver and allows reading,
 writing and listing the 1-wire bus.

Package: libow-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Dallas 1-wire support: Perl5 bindings
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 Perl bindings for the OWFS 1-wire support library have been produced
 with SWIG and allow access to libow functions from perl code.

Package: libownet-perl
Architecture: all
Section: perl
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Perl module for accessing 1-wire networks
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 OWNet.pm is a perl module for accessing 1-wire sensors through an owserver.

Package: python-ow
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Dallas 1-wire support: Python bindings
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 Python bindings for the OWFS 1-Wire support library have been produced
 with SWIG and allow access to libow functions from Python code.

Package: python-ownet
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python module for accessing 1-wire networks
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 OWnet is a standalone Python module for accessing 1-wire sensors
 through an owserver.

Package: libow-tcl
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dallas 1-wire support: Tcl bindings
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package contains Tcl bindings to the OWFS core library (libow),
 which is used to access 1-Wire networks

Package: owfs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: owfs
Description: Dallas 1-wire support: Documentation for owfs
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 Documentation for OWFS in 'man' format.
 This package contains the manpages for 1-Wire, including the
 device-specific manpages.

Package: owfs-dbg
Architecture: any
Section: debug
Depends: libow-2.8-13 (= ${binary:Version}) |
 owfs (= ${binary:Version}) |
 owserver (= ${binary:Version}) |
 owhttpd (= ${binary:Version}) |
 owftpd (= ${binary:Version}) |
 libow-tcl (= ${binary:Version}) |
 python-ow (= ${binary:Version}) |
 libow-php5 (= ${binary:Version}) |
 libow-perl (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the OWFS packages
 The 1-Wire bus is a cheap low-speed bus for devices like weather
 sensors, access control, etc. It can be attached to your system via
 serial, USB, I2C, and other interfaces.
 .
 This package contains gdb debugging symbols for OWFS packages.
 You need this if you see crashes in programs using 1-wire.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=2

DH=dh --with python2 --with quilt --with autotools_dev

CONFIGURE_OPTIONS=\
	--enable-debian       \
	--disable-debug       \
	--disable-profiling   \
	--enable-owshell      \
	--enable-owlib        \
	--enable-ownetlib     \
	--enable-tai8570      \
	--enable-thermocouple \
	--enable-mt           \
	--enable-i2c          \
	--enable-ha7          \
	--enable-owhttpd      \
	--enable-owftpd       \
	--enable-owserver     \
	--enable-ownet        \
	--enable-owtap        \
	--disable-owmalloc    \
	--disable-owtraffic   \
	--enable-owmon        \
	--enable-owcapi       \
	--enable-swig         \
	--enable-owperl       \
	--enable-owphp        \
	--enable-owpython     \
	--enable-owtcl        \
	--enable-owfs         \
	--enable-cache        \
	--enable-zero         \
	--enable-usb          \
	--enable-parport

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_OPTIONS += --enable-w1
else
CONFIGURE_OPTIONS += --disable-w1
endif

%:
	$(DH) $@ 

.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_install
override_dh_auto_configure:
	autoreconf -vif
	dh_auto_configure -- $(CONFIGURE_OPTIONS)

override_dh_auto_test:
	# no tests available

override_dh_install:
	dh_install  --list-missing -X.la -Xperllocal.pod

.PHONY: override_dh_strip override_dh_makeshlibs
override_dh_strip:
	dh_strip --dbg-package=owfs-dbg

override_dh_makeshlibs:
	dh_makeshlibs --no-package libow-php5 --no-package libow-tcl

clean:
	$(DH) clean
	# remove autoreconf modifications
	find . -name Makefile.am | while read f ; do \
		$(RM) "$$(dirname "$$f")/$$(basename "$$f" .am).in" ; \
	done
	$(RM) INSTALL aclocal.m4 configure
	find src/scripts/install -type f -a ! -name "config*" -a -exec rm -v {} \;
	$(RM) module/owcapi/src/example++/Makefile \
		module/owcapi/src/example/Makefile \
		module/ownet/c/src/example/Makefile \
		module/ownet/php/examples/ownet_example.php \
		module/swig/php/example/load_php_OW.php \
		module/swig/perl5/OW/Makefile.linux \
		module/swig/perl5/OW/Makefile.osx
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')

override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

## owfs 2.8p14

=== debian/changelog ===
owfs (2.8p14-4) unstable; urgency=medium

  * Closes: #662634: using patch provided by Ondřej Surý to get a correct
    dependency on phpapi (was broken with PHP 5.4)
  * Urgency set to medium due to this fix
  * Standards-Version dumped from 3.9.2 to 3.9.3 (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 05 Mar 2012 16:15:45 +0100

owfs (2.8p14-3) unstable; urgency=low

  * Still adapting symbol list to kfreebsd

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 28 Feb 2012 00:25:28 +0100

owfs (2.8p14-2) unstable; urgency=low

  * Fix "FTBFS(kfreebsd): libow.so: undefined reference to `w1_bind'"
    protected with #ifdef OW_W1 (Closes: #660857)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Feb 2012 22:48:38 +0100

owfs (2.8p14-1) unstable; urgency=low

  * New upstream release
  * No need to repackage the sources anymore: libdns_sd.dll is gone

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 15 Feb 2012 00:33:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev,
  libfuse-dev, swig, python-all-dev (>= 2.6.6-3~), tcl-dev, libusb-dev,
  php5-cli, php5-dev, ed
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: electronics
 Homepage: http://owfs.org/
 Vcs-Git: git://git.debian.org/collab-maint/owfs.git
@@ -38,7 +38,7 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-2.8-13
+Package: libow-2.8-14
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -50,7 +50,7 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-2.8-13
+Package: libowcapi-2.8-14
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -66,8 +66,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libow-2.8-13 (= ${binary:Version}),
- libowcapi-2.8-13 (= ${binary:Version})
+ libow-2.8-14 (= ${binary:Version}),
+ libowcapi-2.8-14 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -75,7 +75,7 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-2.8-13
+Package: libownet-2.8-14
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -91,7 +91,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libownet-2.8-13 (= ${binary:Version}),
+ libownet-2.8-14 (= ${binary:Version}),
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -172,7 +172,7 @@
 Package: libow-php5
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}
 Description: Dallas 1-wire support: PHP5 bindings
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -273,7 +273,7 @@
 Package: owfs-dbg
 Architecture: any
 Section: debug
-Depends: libow-2.8-13 (= ${binary:Version}) |
+Depends: libow-2.8-14 (= ${binary:Version}) |
  owfs (= ${binary:Version}) |
  owserver (= ${binary:Version}) |
  owhttpd (= ${binary:Version}) |

=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,7 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-package libow-php5 --no-package libow-tcl
+	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars
 
 clean:
 	$(DH) clean

## owfs 2.8p15

=== module/owcapi/src/example++/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ifeq "$(shell uname)" "Darwin"
 
 # Compile-flags for MacOSX
-DARWINLDFLAGS = -L/opt/owfs/lib -lowcapi -low -L/usr/lib -lusb
+DARWINLDFLAGS = -L/opt/owfs/lib -lowcapi -low -L/usr/lib/x86_64-linux-gnu -lusb
 
 owcapiexample: $(OBJS)
 	gcc $(CFLAGS) -o $@ $(OBJS) $(DARWINLDFLAGS)

=== module/owcapi/src/example/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ifeq "$(shell uname)" "Darwin"
 
 # Compile-flags for MacOSX
-DARWINLDFLAGS = -L/opt/owfs/lib -lowcapi -low -L/usr/lib -lusb
+DARWINLDFLAGS = -L/opt/owfs/lib -lowcapi -low -L/usr/lib/x86_64-linux-gnu -lusb
 
 owcapiexample: $(OBJS)
 	gcc $(CFLAGS) -o $@ $(OBJS) $(DARWINLDFLAGS)

=== module/ownet/c/src/example/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 ifeq "$(shell uname)" "Darwin"
 
 # Compile-flags for MacOSX
-DARWINLDFLAGS = -L/opt/owfs/lib -lownet -low -L/usr/lib -lusb
+DARWINLDFLAGS = -L/opt/owfs/lib -lownet -low -L/usr/lib/x86_64-linux-gnu -lusb
 
 $(EXAMPLEA): $(EXAMPLEA_OBJS)
 	gcc $(CFLAGS) -o $@ $(EXAMPLEA_OBJS) $(DARWINLDFLAGS)

=== debian/changelog ===
owfs (2.8p15-1ubuntu4) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit
    arches).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Feb 2014 08:21:36 +0000

owfs (2.8p15-1ubuntu3) devel; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Oct 2013 22:43:53 +0100

owfs (2.8p15-1ubuntu2) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 10:22:18 +0100

owfs (2.8p15-1ubuntu1) saucy; urgency=low

  * Change fuse-utils recommends to fuse, as fuse-utils is dropped.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 15:02:13 -0600

owfs (2.8p15-1build1) quantal; urgency=low

  * No-change rebuild for phpapi change

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 30 Jun 2012 13:04:04 +0400

owfs (2.8p15-1) unstable; urgency=low

  * New upstream release (thank Iztok Jeras for the notice)
    + refresh debian/patches/*
    + remove debian/patches/for-upstream_w1protection.patch (applied upstream)
  * switch to dh 9 (and multiarch for library packages)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 03 Jun 2012 23:03:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: owfs
 Priority: extra
-Maintainer: Vincent Danjean <vdanjean@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Build-Depends: debhelper (>= 9~), quilt, autotools-dev,
  libfuse-dev, swig, python-all-dev (>= 2.6.6-3~), tcl-dev, libusb-dev,
  php5-cli, php5-dev, ed
 Standards-Version: 3.9.3
@@ -38,9 +39,11 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-2.8-14
+Package: libow-2.8-15
 Section: libs
 Architecture: any
+Pre-Depends: multiarch-support
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 1-Wire File System full library
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -50,9 +53,11 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-2.8-14
+Package: libowcapi-2.8-15
 Section: libs
 Architecture: any
+Pre-Depends: multiarch-support
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 1-Wire File System C library
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -66,8 +71,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libow-2.8-14 (= ${binary:Version}),
- libowcapi-2.8-14 (= ${binary:Version})
+ libow-2.8-15 (= ${binary:Version}),
+ libowcapi-2.8-15 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -75,9 +80,11 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-2.8-14
+Package: libownet-2.8-15
 Section: libs
 Architecture: any
+Pre-Depends: multiarch-support
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: owserver protocol library
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -91,7 +98,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libownet-2.8-14 (= ${binary:Version}),
+ libownet-2.8-15 (= ${binary:Version}),
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -135,7 +142,7 @@
 Package: owfs-fuse
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, owfs-common
-Recommends: owserver, fuse-utils
+Recommends: owserver, fuse
 Suggests: owhttpd, owftpd
 Description: 1-Wire filesystem
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -273,7 +280,7 @@
 Package: owfs-dbg
 Architecture: any
 Section: debug
-Depends: libow-2.8-14 (= ${binary:Version}) |
+Depends: libow-2.8-15 (= ${binary:Version}) |
  owfs (= ${binary:Version}) |
  owserver (= ${binary:Version}) |
  owhttpd (= ${binary:Version}) |

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,13 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=2
 
-DH=dh --with python2 --with quilt --with autotools_dev
+DH_OPTIONS=--with python2 --with quilt --with autotools_dev
+
+# export necessary for (hardening) flags for perl
+DEB_CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
+DEB_CFLAGS += `dpkg-buildflags --get CFLAGS`
+DEB_LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+export DEB_CPPFLAGS DEB_CFLAGS DEB_LDFLAGS 
 
 CONFIGURE_OPTIONS=\
 	--enable-debian       \
@@ -26,6 +32,7 @@
 	--enable-owhttpd      \
 	--enable-owftpd       \
 	--enable-owserver     \
+	--enable-owexternal   \
 	--enable-ownet        \
 	--enable-owtap        \
 	--disable-owmalloc    \
@@ -51,7 +58,7 @@
 endif
 
 %:
-	$(DH) $@ 
+	dh $@ $(DH_OPTIONS)
 
 .PHONY: override_dh_auto_configure override_dh_auto_test override_dh_install
 override_dh_auto_configure:
@@ -73,7 +80,7 @@
 	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars
 
 clean:
-	$(DH) clean
+	dh clean $(DH_OPTIONS)
 	# remove autoreconf modifications
 	find . -name Makefile.am | while read f ; do \
 		$(RM) "$$(dirname "$$f")/$$(basename "$$f" .am).in" ; \

## owfs 2.9p8

=== debian/changelog ===
owfs (2.9p8-6) unstable; urgency=medium

  * Hide ls error messages when nothing have to do done on
    upgrade (Closes: #769523)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 14 Nov 2014 18:54:21 +0100

owfs (2.9p8-5) unstable; urgency=medium

  * Add missing Breaks/Replaces required due to some files moved
    from the ow-shell package to the ow-tools one. This move occures
    in 2.9p5-1 (Closes: #768115)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 08 Nov 2014 23:09:09 +0100

owfs (2.9p8-4) unstable; urgency=medium

  * Fix "FTBFS[kfreebsd]: wrong ifdef __FreeBSD__" : using the good
    symbol, thanks Steven Chamberlain (Closes: #766910)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 27 Oct 2014 08:18:46 +0100

owfs (2.9p8-3) unstable; urgency=medium

  * Trying to fix another incompatibility with FreeBSD with this
    new upstream version

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 26 Oct 2014 16:31:25 +0100

owfs (2.9p8-2) unstable; urgency=medium

  * make systemd dependency linux-any only (Closes: #766697)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 25 Oct 2014 10:36:53 +0200

owfs (2.9p8-1) unstable; urgency=medium

  * New upstream release
    + fix a nasty bug in owfs (filesystem)
    + will require a new round in NEW queue (sorry FTP Masters)
      as upstream uses a new soname for each release
      (by chance, there is no reverse dependencies in Debian, so
      no bin-NMU are required)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 19 Oct 2014 13:56:13 +0200

owfs (2.9p7-2) unstable; urgency=medium

  * remove README.source template
  * fix perl source file licenses in copyright and reorganize it
    (Closes: #765665)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 17 Oct 2014 15:08:15 +0200

owfs (2.9p7-1) unstable; urgency=medium

  * New (minor) upstream release
    + fix version parsing in python and perl modules (Closes: #765371)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 14 Oct 2014 18:57:13 +0200

owfs (2.9p5-1.1) unstable; urgency=high

  * Non-maintainer upload with maintainer's permission

  * make DS1410_detect@Base symbol available only on Linux architectures.
    Fixes FTBFS on kfreebsd-*/hurd (Closes: #757571)

  * High urgency to help the perl 5.20 transition

 -- Damyan Ivanov <dmn@debian.org>  Tue, 19 Aug 2014 08:30:50 +0000

owfs (2.9p5-1) unstable; urgency=medium

  * New upstream release
  * Fix "hardcodes /usr/lib/perl5":
    make debian/libow-perl.install executable and use $Config{vendorarch}
    there (Closes: #752804)
    Thanks Gregor Herrmann <gregoa@debian.org> for the patch

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Jul 2014 13:27:43 +0200

owfs (2.9p1-2) unstable; urgency=medium

  * move TclTk scripts to an arch-indep package (Closes: #737400)
  * upload to unstable
  * Bump Standard-Version (no change needed)
  * Fix URLs in debian/control
  * add a Suggests on avahi-daemon in ow-server and document the --nozero
    option (closes: #646764)
  * recommands fuse instead of fuse-utils (Closes: #698180)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 02 Feb 2014 22:07:24 +0100

owfs (2.9p1-1) experimental; urgency=low

  * Imported Upstream version 2.9p1
  * Cleanup patches and symbol files

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 26 Jun 2013 23:52:10 +0200

owfs (2.9p0-1) experimental; urgency=low

  * Imported Upstream version 2.9p0
  * Update to new release 2.9-0
  * backport python fix in ownet

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 02 Apr 2013 21:19:59 +0200

owfs (2.8p17-1) experimental; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 09 Sep 2012 22:04:33 +0200

owfs (2.8p16-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 08 Jul 2012 00:03:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: owfs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Maintainer: Vincent Danjean <vdanjean@debian.org>
 Build-Depends: debhelper (>= 9~), quilt, autotools-dev,
  libfuse-dev, swig, python-all-dev (>= 2.6.6-3~), tcl-dev, libusb-dev,
- php5-cli, php5-dev, ed
-Standards-Version: 3.9.3
+ php5-cli, php5-dev, ed, systemd [linux-any], groff-base
+Standards-Version: 3.9.6
 Section: electronics
 Homepage: http://owfs.org/
-Vcs-Git: git://git.debian.org/collab-maint/owfs.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/owfs.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/owfs.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/owfs.git;a=summary
 
 Package: owfs-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ucf
 Description: common files used by any of the OWFS programs
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -39,12 +39,12 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-2.8-15
+Package: libow-2.9-8
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, owfs-common (>= ${source:Version})
 Description: 1-Wire File System full library
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -53,10 +53,10 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-2.8-15
+Package: libowcapi-2.9-8
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 1-Wire File System C library
@@ -71,8 +71,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libow-2.8-15 (= ${binary:Version}),
- libowcapi-2.8-15 (= ${binary:Version})
+ libow-2.9-8 (= ${binary:Version}),
+ libowcapi-2.9-8 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -80,10 +80,10 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-2.8-15
+Package: libownet-2.9-8
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: owserver protocol library
@@ -98,7 +98,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libownet-2.8-15 (= ${binary:Version}),
+ libownet-2.9-8 (= ${binary:Version}),
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -111,6 +111,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  owfs-common, lsb-base (>= 3.2-4)
+Suggests: avahi-daemon
 Description: Backend server for 1-Wire control
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -134,8 +135,23 @@
  Included programs are :
   * owdir: list 1-wire devices or properties
   * owread: read 1-wire value
+  * owget: combines owdir and owread
   * owwrite: set a 1-wire value
+  * owexist: check if a 1-wire server is reachable
   * owpresent: check if a 1-wire device is connected
+
+Package: ow-tools
+Architecture: all
+Depends: ${misc:Depends}, tk
+Breaks: ow-shell (<<2.9p5)
+Replaces: ow-shell (<<2.9p5)
+Suggests: owserver
+Description: tools to monitor or inspect a ow-server link
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ This package includes two TclTk tools:
   * owtap: inspect network transmission of the owserver protocol
   * owmon: show statistics and setting for an owserver
 
@@ -280,7 +296,7 @@
 Package: owfs-dbg
 Architecture: any
 Section: debug
-Depends: libow-2.8-15 (= ${binary:Version}) |
+Depends: libow-2.9-8 (= ${binary:Version}) |
  owfs (= ${binary:Version}) |
  owserver (= ${binary:Version}) |
  owhttpd (= ${binary:Version}) |

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=2
+#export DH_VERBOSE=2
 
 DH_OPTIONS=--with python2 --with quilt --with autotools_dev
 
@@ -24,11 +24,7 @@
 	--enable-owshell      \
 	--enable-owlib        \
 	--enable-ownetlib     \
-	--enable-tai8570      \
-	--enable-thermocouple \
-	--enable-mt           \
 	--enable-i2c          \
-	--enable-ha7          \
 	--enable-owhttpd      \
 	--enable-owftpd       \
 	--enable-owserver     \
@@ -45,7 +41,6 @@
 	--enable-owpython     \
 	--enable-owtcl        \
 	--enable-owfs         \
-	--enable-cache        \
 	--enable-zero         \
 	--enable-usb          \
 	--enable-parport
@@ -68,8 +63,21 @@
 override_dh_auto_test:
 	# no tests available
 
+override_dh_auto_install:
+	dh_auto_install
+	# do not install partial manpage with generic names. Instead, include
+	# text directly in manpages and remove them.
+	cd debian/tmp/usr/share/man && \
+	for manfile in $$(find . -iname "*.[135]") ; do \
+		for i in $$(sed -n '2,$$ s/^.so //p' $$manfile | tac); do \
+			printf "%s\n" H /$$(echo "$$i" | sed -e 's,/,\\/,g')/d - ".r ./$$i" ",w" \
+				| ed -s $$manfile  ; \
+		done ; \
+	done
+	find debian/tmp/usr/share/man -iname "*.[135n]so" -exec $(RM) {} \;
+
 override_dh_install:
-	dh_install  --list-missing -X.la -Xperllocal.pod
+	dh_install --list-missing -X.la -Xperllocal.pod
 
 .PHONY: override_dh_strip override_dh_makeshlibs
 override_dh_strip:
@@ -96,9 +104,9 @@
 		module/swig/perl5/OW/Makefile.osx
 	# if this is a git repository, restore removed files that would have
 	# been ignored by dpkg-source
-	-test -d .git && git checkout -- $$(git status | \
-		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
-		grep -v '^debian/')
+	-test -d .git && git checkout -- $$(git status --porcelain | \
+		sed -e '/^ D /s/^ D //p;d' | grep -v '^debian/')
+	:
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7
